List Accounts
curl --request GET \
--url https://sandbox.api.paylias.xyz/gateway/api/v1/csp/account \
--header 'Authorization: Bearer <token>' \
--header 'x-partner-id: <x-partner-id>'import requests
url = "https://sandbox.api.paylias.xyz/gateway/api/v1/csp/account"
headers = {
"x-partner-id": "<x-partner-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-partner-id': '<x-partner-id>', Authorization: 'Bearer <token>'}
};
fetch('https://sandbox.api.paylias.xyz/gateway/api/v1/csp/account', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"count": 2,
"accounts": [
{
"account_title": "John Doe",
"created_at": {
"seconds": 1635784800
},
"masked_account_number": "XXXX-XXXX-XXXX-1234",
"partner_id": "part_123456789",
"routing_number": "123456789",
"status": "active",
"token": "acct_123456789",
"type": "checking",
"updated_at": {
"seconds": 1635788400
},
"institution": {
"address": {
"address": "123 Main St",
"city": "New York",
"postal_code": "10001",
"state": "NY"
},
"name": "Example Bank",
"phone_number": "+1234567890",
"routing_number": "123456789"
}
},
{
"account_title": "Jane Smith",
"created_at": {
"seconds": 1635784900
},
"masked_account_number": "XXXX-XXXX-XXXX-5678",
"partner_id": "part_123456789",
"routing_number": "987654321",
"status": "active",
"token": "acct_987654321",
"type": "savings",
"updated_at": {
"seconds": 1635788500
},
"institution": {
"address": {
"address": "456 Oak Ave",
"city": "San Francisco",
"postal_code": "94103",
"state": "CA"
},
"name": "Second Bank",
"phone_number": "+0987654321",
"routing_number": "987654321"
}
}
]
},
"ok": true
}{
"code": "error.bad_request",
"message": "Invalid request parameters"
}{
"code": "error.unauthorized",
"message": "Authentication required"
}Accounts
List Accounts
List or search api keys generated against a Namespace
Pagination is supported via the limit and page query parameters.
GET
/
api
/
v1
/
csp
/
account
List Accounts
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The Partner ID header used for authorization
Query Parameters
Filter based on account titles
Example:
"Safepay Inc."
Filter based on routing numbers
Example:
"011000015"
Filter for accounts with a specific status
Available options:
AS_Verified, AS_Unverified, AS_Deleted Example:
"AS_Verified"
Set the limit for search results
Example:
"3"
Set the page offset
Example:
"1"
Was this page helpful?
⌘I